Bug 498534 - firefox starts with wrong profile after session save / restore
firefox starts with wrong profile after session save / restore
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 17:47 EDT by Jonathan Kamens
Modified: 2009-06-03 22:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 22:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-04-30 17:47:16 EDT
1. Create a firefox profile named "newspaper", so that you have a "default" profile and a "newspaper" profile.
2. Start firefox with "firefox -P default".
3. Exit and then restart firefox with just "firefox" to confirm that the profile is sticky, i.e., it starts with the "default" profile automatically.
4. Log out from GNOME with firefox running, such that its session state is saved.
5. Log back in.

Firefox *should* restart in the "default" profile after you log back in, but I find that it starts in the "newspaper" profile instead.
Comment 1 Matěj Cepl 2009-05-04 12:32:25 EDT
(In reply to comment #0)
> 3. Exit and then restart firefox with just "firefox" to confirm that the
> profile is sticky, i.e., it starts with the "default" profile automatically.

It doesn't ... asks for chosing the profile on startup.

Selecting 'don't ask on startup' and continuing ...

> 4. Log out from GNOME with firefox running, such that its session state is
> saved.
> 5. Log back in.
>
> Firefox *should* restart in the "default" profile after you log back in, but I
> find that it starts in the "newspaper" profile instead.

It doesn't for me ... starts in 'default' profile.

Any more ideas, how to reporduce it?

I have firefox-3.5-0.20.beta4.fc11.x86_64 here.
Comment 2 Jonathan Kamens 2009-06-03 22:55:21 EDT
Can't duplicate anymore.

Note You need to log in before you can comment on or make changes to this bug.